using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.Collections;
using System.Data.SqlClient;
using System.Linq;

public partial class _Default : System.Web.UI.Page
{
    protected void rgTestGrid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        List<string> names = new List<string>();
        for (int i = 0; i < 50; i++)
        {
            names.Add("Grid Entry " + i);
        }

        rgTestGrid.DataSource = from name in names
                                select new { name };
    }
}